#ifndef ID_SET_H
#define ID_SET_H

#include <OS.h>
#include <File.h>

class IdSet
{
	public:
		IdSet();
		~IdSet();
		
		uint32 	ID(int);
		void	Add(uint32);
		void	Remove(uint32);
		bool	Contains( uint32 );
		
		status_t	Load( BFile * );
		status_t	Save( BFile * );
		
	protected:
		int buf_size;
		uint32 * buf;
		int pos;
};

#endif
